# Gravity Plugin

This unofficial Talespire plugin allows removal of gravity on an asset by asset basis. This effect is
similar to the core Talespire fly effect except it does not change the base nor does it do the fly wiggle.

This plugin is ideal for two situations:

1. Custom assets such as ships and land vehicle are currently not solid (colliers are still being worked on).
   To make minis stand on the deck of a ship or in a car, while still being able to move the ship/car, usually
   the mini is placed into fly mode to allow the mini to be position correctly with respect to the ship deck
   or the vehicle seat. This has the side effect of the fly wiggle. Using this plugin instead of fly mode allows
   the same results but without the fly wiggle.
   
2. Some custom assets that use transparency or animation, hide their entire mesh when in Hide mode even when
   using GM view. Normally such assets can be revealed using the base because the base remains visible in
   GM View. However, if these assets are placed in fly mode, the base changes and the asset because totally
   invisible with no way to undo it. Using this plugin instead of fly mode, for these assets, means that the
   base remains visible in GM View and thus the asset can always be revealed.

Donate: http://lordashes.ca/TalespireDonate/Donate.php

## Changelog
```
1.0.0: Initial release
```

## Install

Use R2ModMan to download and install

## Usage

1. Right click on an asset to open the radial menu.

2. Select the ``Gravity`` option

3. Select ``Remove`` to remove gravity from the asset

4. Select ``Apply`` to remove gravity from the asset

## Limitations

1. Mini hovers slightly off the ground when gravity is removed

2. When moving a mini, let the mini straighten out before letting go of the mouse button, otherwise the Mini
   will remain in whatever position it was when the mouse button was released (e.g. tilted from doing a hop) 